> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Offers

> Format compatible with Data Import. 

If Offer does not exist, it will be created. If Offer already exists, it is updated in place.
If import of one Offer fails, it is ignored and others Offers are processed. 

Empty string will clear the field. Null value will leave the field unchanged. 

WARNING: when using Data Import, fields are updated to the values from the file, any existing values will be overwritten.
If numerical values are not provided, default values will be used instead. 

At least one discount rule is required to publish an Offer. If you send offer with Published = true, but without rules, offer will not be created.

Requests should follow the schema: Be aware, putting a decimal value into an integer field (or providing an incorrect enum value) will cause an error that will prevent any Offer from being inserted due to parsing errors. 

Multiple discount rules can be inserted for each offer. Use rule2Value, rule2Type, etc for all following rules.
Rules need to come in order, you cannot have rule 1 and rule 4, it needs to be rule 1 then rule 2, then rule 3 and so on.
Rules not in order will be ignored.



## OpenAPI

````yaml openapi/promotion-v3.json POST /v3/bulk/offers
openapi: 3.0.4
info:
  title: Offer Api
  version: v3
servers:
  - url: https://{host}/promotion
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v3/bulk/offers:
    post:
      tags:
        - Bulk
      summary: Import Offers
      description: >-
        Format compatible with Data Import. 


        If Offer does not exist, it will be created. If Offer already exists, it
        is updated in place.

        If import of one Offer fails, it is ignored and others Offers are
        processed. 


        Empty string will clear the field. Null value will leave the field
        unchanged. 


        WARNING: when using Data Import, fields are updated to the values from
        the file, any existing values will be overwritten.

        If numerical values are not provided, default values will be used
        instead. 


        At least one discount rule is required to publish an Offer. If you send
        offer with Published = true, but without rules, offer will not be
        created.


        Requests should follow the schema: Be aware, putting a decimal value
        into an integer field (or providing an incorrect enum value) will cause
        an error that will prevent any Offer from being inserted due to parsing
        errors. 


        Multiple discount rules can be inserted for each offer. Use rule2Value,
        rule2Type, etc for all following rules.

        Rules need to come in order, you cannot have rule 1 and rule 4, it needs
        to be rule 1 then rule 2, then rule 3 and so on.

        Rules not in order will be ignored.
      requestBody:
        description: The list of offers to import.
        content:
          application/json-patch+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/BulkUpsertRequest'
            examples:
              10% off of Coca-Cola, that do not have other discounts, for chain 1:
                value:
                  - offerId: 0b72aaa9-a868-46fe-b3d8-1f33356f6df3
                    name: coca_cola_10p_off
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: null
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 5
                    normalPricePerUnit: 10
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 5
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: '1'
                    storeIds: null
                    audienceIds: null
                    fundedBy: null
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: coca-cola;fanta
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              1EUR off of Pringles up to 5 units, stacking with other discounts, segmented:
                value:
                  - offerId: dc2785d5-3539-4a48-8f12-a85a9514a092
                    name: pringles_1eur_off
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: segmentedAppCoupon
                    unifiedCampaignId: ''
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 4
                    normalPricePerUnit: 12
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: true
                    itemsApplicationType: AllItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 5
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: 2213;12003
                    audienceIds: pringles-audience-id
                    fundedBy: Supplier
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: amount
                    rule1Value: 1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: pringles
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              Free twix:
                value:
                  - offerId: a59da6aa-e355-43a2-8d8f-db380c61d173
                    name: free_twix
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: game
                    unifiedCampaignId: ''
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 4
                    normalPricePerUnit: null
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: 1;2
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: fixedPrice
                    rule1Value: 0
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: pringles
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              5% off basket of 100EUR or more, up to 10EUR for 3 purchases:
                value:
                  - offerId: 37bd0301-706d-4cc5-9054-b9845da93783
                    name: 5p_basket
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: personalOffer
                    unifiedCampaignId: ''
                    title: 50% off Pepsi for you
                    description: Get your discount after purchasing at least 2 items
                    brand: PepsiCo
                    imageUrl: ''
                    discountLabel: 50% off every second item
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: true
                    unitOfMeasure: L
                    conditionLabel: Up to 6 items per receipt
                    receiptDisplayText: Pepsi discount
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 10
                    impactLevel: Total
                    discountType: SimpleLine
                    applyOnHighestPrice: true
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 3
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: 1;2
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.05
                    rule1ThresholdType: amount
                    rule1ThresholdValue: 10
                    rule1IncludedProducts: ''
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: tobacco;alcohol
              Step discount for Coca-Cola in specific stores:
                value:
                  - offerId: 0752729c-3e6b-4ecd-8509-624f9c3b2456
                    name: coca_cola_step
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: null
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 5
                    normalPricePerUnit: 10
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 5
                    impactLevel: Line
                    discountType: QuantityStep
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: null
                    storeIds: 1029;1030;2144
                    audienceIds: null
                    fundedBy: null
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: coca-cola;fanta
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: percentage
                    rule2Value: 0.2
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 3
                    rule2IncludedProducts: coca-cola;fanta
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
                    rule3Type: percentage
                    rule3Value: 0.3
                    rule3ThresholdType: quantity
                    rule3ThresholdValue: 6
                    rule3IncludedProducts: coca-cola;fanta
                    rule3ExcludedProducts: ''
                    rule3IncludedCategories: ''
                    rule3ExcludedCategories: ''
              Mix&Match Offer:
                value:
                  - offerId: 5cb63826-7474-4025-a3da-e90c04e152f1
                    name: mm_offer
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: ''
                    title: Save Big on Chips & Coca-Cola Combo
                    description: >-
                      Unlock exclusive savings when you combine your favorite
                      snacks and drinks! With this limited-time offer, buy any
                      pack of chips and get an automatic discount on Coca-Cola
                      multipacks. Perfect for parties or movie nights, this
                      combo delivers both taste and value in one easy deal.
                    brand: Crispy & Refreshing
                    imageUrl: https://example.com/assets/combo_chips_coke.jpg
                    discountLabel: Save up to 30%
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: false
                    unitOfMeasure: null
                    conditionLabel: Buy 1 Chips + 2 Coca-Cola
                    receiptDisplayText: 'Combo deal: Chips & Coca-Cola'
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: MixAndMatch
                    applyOnHighestPrice: null
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.3
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: Chips
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: percentage
                    rule2Value: 0.2
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 2
                    rule2IncludedProducts: coca-Cola;fanta
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
              Mix&Match Total Offer:
                value:
                  - offerId: 46f823e6-3bc3-4b9f-afc9-385a4c11928c
                    name: mm_total_offer
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: ''
                    title: Mix&Match Meal Deal for 4.99
                    description: >-
                      Enjoy a satisfying and balanced meal on the go! With this
                      combo offer, grab a sandwich, two refreshing drinks, and a
                      fresh salad—all for just 4.99. It’s the perfect pick for
                      lunch breaks, quick dinners, or fueling up during a busy
                      day. Great taste and great value, bundled for your
                      convenience.
                    brand: Fresh & Tasty
                    imageUrl: https://example.com/assets/meal_deal_499.jpg
                    discountLabel: 'Meal Deal: Only 4.99'
                    normalPriceLabel: 'Regular price: 7.99'
                    pricePerUnitLabelEnabled: true
                    unitOfMeasure: null
                    conditionLabel: 1 Sandwich, 2 Drinks, 1 Salad
                    receiptDisplayText: Mix&Match Meal Deal
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Total
                    discountType: MixAndMatchTotal
                    applyOnHighestPrice: null
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: amount
                    rule1Value: 0
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: Sandwich;Fancy Sandwich
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: amount
                    rule2Value: 0
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 2
                    rule2IncludedProducts: Cola;Pepsi
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
                    rule3Type: amount
                    rule3Value: 0
                    rule3ThresholdType: quantity
                    rule3ThresholdValue: 1
                    rule3IncludedProducts: Salad
                    rule3ExcludedProducts: ''
                    rule3IncludedCategories: ''
                    rule3ExcludedCategories: ''
                    rule4Type: fixedPrice
                    rule4Value: 4.99
                    rule4ThresholdType: quantity
                    rule4ThresholdValue: 0
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/BulkUpsertRequest'
            examples:
              10% off of Coca-Cola, that do not have other discounts, for chain 1:
                value:
                  - offerId: 0b72aaa9-a868-46fe-b3d8-1f33356f6df3
                    name: coca_cola_10p_off
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: null
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 5
                    normalPricePerUnit: 10
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 5
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: '1'
                    storeIds: null
                    audienceIds: null
                    fundedBy: null
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: coca-cola;fanta
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              1EUR off of Pringles up to 5 units, stacking with other discounts, segmented:
                value:
                  - offerId: dc2785d5-3539-4a48-8f12-a85a9514a092
                    name: pringles_1eur_off
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: segmentedAppCoupon
                    unifiedCampaignId: ''
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 4
                    normalPricePerUnit: 12
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: true
                    itemsApplicationType: AllItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 5
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: 2213;12003
                    audienceIds: pringles-audience-id
                    fundedBy: Supplier
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: amount
                    rule1Value: 1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: pringles
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              Free twix:
                value:
                  - offerId: a59da6aa-e355-43a2-8d8f-db380c61d173
                    name: free_twix
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: game
                    unifiedCampaignId: ''
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 4
                    normalPricePerUnit: null
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: 1;2
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: fixedPrice
                    rule1Value: 0
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: pringles
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              5% off basket of 100EUR or more, up to 10EUR for 3 purchases:
                value:
                  - offerId: 37bd0301-706d-4cc5-9054-b9845da93783
                    name: 5p_basket
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: personalOffer
                    unifiedCampaignId: ''
                    title: 50% off Pepsi for you
                    description: Get your discount after purchasing at least 2 items
                    brand: PepsiCo
                    imageUrl: ''
                    discountLabel: 50% off every second item
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: true
                    unitOfMeasure: L
                    conditionLabel: Up to 6 items per receipt
                    receiptDisplayText: Pepsi discount
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 10
                    impactLevel: Total
                    discountType: SimpleLine
                    applyOnHighestPrice: true
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 3
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: 1;2
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.05
                    rule1ThresholdType: amount
                    rule1ThresholdValue: 10
                    rule1IncludedProducts: ''
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: tobacco;alcohol
              Step discount for Coca-Cola in specific stores:
                value:
                  - offerId: 0752729c-3e6b-4ecd-8509-624f9c3b2456
                    name: coca_cola_step
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: null
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 5
                    normalPricePerUnit: 10
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 5
                    impactLevel: Line
                    discountType: QuantityStep
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: null
                    storeIds: 1029;1030;2144
                    audienceIds: null
                    fundedBy: null
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: coca-cola;fanta
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: percentage
                    rule2Value: 0.2
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 3
                    rule2IncludedProducts: coca-cola;fanta
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
                    rule3Type: percentage
                    rule3Value: 0.3
                    rule3ThresholdType: quantity
                    rule3ThresholdValue: 6
                    rule3IncludedProducts: coca-cola;fanta
                    rule3ExcludedProducts: ''
                    rule3IncludedCategories: ''
                    rule3ExcludedCategories: ''
              Mix&Match Offer:
                value:
                  - offerId: 5cb63826-7474-4025-a3da-e90c04e152f1
                    name: mm_offer
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: ''
                    title: Save Big on Chips & Coca-Cola Combo
                    description: >-
                      Unlock exclusive savings when you combine your favorite
                      snacks and drinks! With this limited-time offer, buy any
                      pack of chips and get an automatic discount on Coca-Cola
                      multipacks. Perfect for parties or movie nights, this
                      combo delivers both taste and value in one easy deal.
                    brand: Crispy & Refreshing
                    imageUrl: https://example.com/assets/combo_chips_coke.jpg
                    discountLabel: Save up to 30%
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: false
                    unitOfMeasure: null
                    conditionLabel: Buy 1 Chips + 2 Coca-Cola
                    receiptDisplayText: 'Combo deal: Chips & Coca-Cola'
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: MixAndMatch
                    applyOnHighestPrice: null
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.3
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: Chips
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: percentage
                    rule2Value: 0.2
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 2
                    rule2IncludedProducts: coca-Cola;fanta
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
              Mix&Match Total Offer:
                value:
                  - offerId: 46f823e6-3bc3-4b9f-afc9-385a4c11928c
                    name: mm_total_offer
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: ''
                    title: Mix&Match Meal Deal for 4.99
                    description: >-
                      Enjoy a satisfying and balanced meal on the go! With this
                      combo offer, grab a sandwich, two refreshing drinks, and a
                      fresh salad—all for just 4.99. It’s the perfect pick for
                      lunch breaks, quick dinners, or fueling up during a busy
                      day. Great taste and great value, bundled for your
                      convenience.
                    brand: Fresh & Tasty
                    imageUrl: https://example.com/assets/meal_deal_499.jpg
                    discountLabel: 'Meal Deal: Only 4.99'
                    normalPriceLabel: 'Regular price: 7.99'
                    pricePerUnitLabelEnabled: true
                    unitOfMeasure: null
                    conditionLabel: 1 Sandwich, 2 Drinks, 1 Salad
                    receiptDisplayText: Mix&Match Meal Deal
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Total
                    discountType: MixAndMatchTotal
                    applyOnHighestPrice: null
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: amount
                    rule1Value: 0
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: Sandwich;Fancy Sandwich
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: amount
                    rule2Value: 0
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 2
                    rule2IncludedProducts: Cola;Pepsi
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
                    rule3Type: amount
                    rule3Value: 0
                    rule3ThresholdType: quantity
                    rule3ThresholdValue: 1
                    rule3IncludedProducts: Salad
                    rule3ExcludedProducts: ''
                    rule3IncludedCategories: ''
                    rule3ExcludedCategories: ''
                    rule4Type: fixedPrice
                    rule4Value: 4.99
                    rule4ThresholdType: quantity
                    rule4ThresholdValue: 0
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/BulkUpsertRequest'
            examples:
              10% off of Coca-Cola, that do not have other discounts, for chain 1:
                value:
                  - offerId: 0b72aaa9-a868-46fe-b3d8-1f33356f6df3
                    name: coca_cola_10p_off
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: null
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 5
                    normalPricePerUnit: 10
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 5
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: '1'
                    storeIds: null
                    audienceIds: null
                    fundedBy: null
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: coca-cola;fanta
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              1EUR off of Pringles up to 5 units, stacking with other discounts, segmented:
                value:
                  - offerId: dc2785d5-3539-4a48-8f12-a85a9514a092
                    name: pringles_1eur_off
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: segmentedAppCoupon
                    unifiedCampaignId: ''
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 4
                    normalPricePerUnit: 12
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: true
                    itemsApplicationType: AllItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 5
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: 2213;12003
                    audienceIds: pringles-audience-id
                    fundedBy: Supplier
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: amount
                    rule1Value: 1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: pringles
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              Free twix:
                value:
                  - offerId: a59da6aa-e355-43a2-8d8f-db380c61d173
                    name: free_twix
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: game
                    unifiedCampaignId: ''
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 4
                    normalPricePerUnit: null
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: 1;2
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: fixedPrice
                    rule1Value: 0
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: pringles
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              5% off basket of 100EUR or more, up to 10EUR for 3 purchases:
                value:
                  - offerId: 37bd0301-706d-4cc5-9054-b9845da93783
                    name: 5p_basket
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: personalOffer
                    unifiedCampaignId: ''
                    title: 50% off Pepsi for you
                    description: Get your discount after purchasing at least 2 items
                    brand: PepsiCo
                    imageUrl: ''
                    discountLabel: 50% off every second item
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: true
                    unitOfMeasure: L
                    conditionLabel: Up to 6 items per receipt
                    receiptDisplayText: Pepsi discount
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 10
                    impactLevel: Total
                    discountType: SimpleLine
                    applyOnHighestPrice: true
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 3
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: 1;2
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.05
                    rule1ThresholdType: amount
                    rule1ThresholdValue: 10
                    rule1IncludedProducts: ''
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: tobacco;alcohol
              Step discount for Coca-Cola in specific stores:
                value:
                  - offerId: 0752729c-3e6b-4ecd-8509-624f9c3b2456
                    name: coca_cola_step
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: null
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 5
                    normalPricePerUnit: 10
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 5
                    impactLevel: Line
                    discountType: QuantityStep
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: null
                    storeIds: 1029;1030;2144
                    audienceIds: null
                    fundedBy: null
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: coca-cola;fanta
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: percentage
                    rule2Value: 0.2
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 3
                    rule2IncludedProducts: coca-cola;fanta
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
                    rule3Type: percentage
                    rule3Value: 0.3
                    rule3ThresholdType: quantity
                    rule3ThresholdValue: 6
                    rule3IncludedProducts: coca-cola;fanta
                    rule3ExcludedProducts: ''
                    rule3IncludedCategories: ''
                    rule3ExcludedCategories: ''
              Mix&Match Offer:
                value:
                  - offerId: 5cb63826-7474-4025-a3da-e90c04e152f1
                    name: mm_offer
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: ''
                    title: Save Big on Chips & Coca-Cola Combo
                    description: >-
                      Unlock exclusive savings when you combine your favorite
                      snacks and drinks! With this limited-time offer, buy any
                      pack of chips and get an automatic discount on Coca-Cola
                      multipacks. Perfect for parties or movie nights, this
                      combo delivers both taste and value in one easy deal.
                    brand: Crispy & Refreshing
                    imageUrl: https://example.com/assets/combo_chips_coke.jpg
                    discountLabel: Save up to 30%
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: false
                    unitOfMeasure: null
                    conditionLabel: Buy 1 Chips + 2 Coca-Cola
                    receiptDisplayText: 'Combo deal: Chips & Coca-Cola'
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: MixAndMatch
                    applyOnHighestPrice: null
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.3
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: Chips
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: percentage
                    rule2Value: 0.2
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 2
                    rule2IncludedProducts: coca-Cola;fanta
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
              Mix&Match Total Offer:
                value:
                  - offerId: 46f823e6-3bc3-4b9f-afc9-385a4c11928c
                    name: mm_total_offer
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: ''
                    title: Mix&Match Meal Deal for 4.99
                    description: >-
                      Enjoy a satisfying and balanced meal on the go! With this
                      combo offer, grab a sandwich, two refreshing drinks, and a
                      fresh salad—all for just 4.99. It’s the perfect pick for
                      lunch breaks, quick dinners, or fueling up during a busy
                      day. Great taste and great value, bundled for your
                      convenience.
                    brand: Fresh & Tasty
                    imageUrl: https://example.com/assets/meal_deal_499.jpg
                    discountLabel: 'Meal Deal: Only 4.99'
                    normalPriceLabel: 'Regular price: 7.99'
                    pricePerUnitLabelEnabled: true
                    unitOfMeasure: null
                    conditionLabel: 1 Sandwich, 2 Drinks, 1 Salad
                    receiptDisplayText: Mix&Match Meal Deal
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Total
                    discountType: MixAndMatchTotal
                    applyOnHighestPrice: null
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: amount
                    rule1Value: 0
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: Sandwich;Fancy Sandwich
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: amount
                    rule2Value: 0
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 2
                    rule2IncludedProducts: Cola;Pepsi
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
                    rule3Type: amount
                    rule3Value: 0
                    rule3ThresholdType: quantity
                    rule3ThresholdValue: 1
                    rule3IncludedProducts: Salad
                    rule3ExcludedProducts: ''
                    rule3IncludedCategories: ''
                    rule3ExcludedCategories: ''
                    rule4Type: fixedPrice
                    rule4Value: 4.99
                    rule4ThresholdType: quantity
                    rule4ThresholdValue: 0
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/BulkUpsertRequest'
            examples:
              10% off of Coca-Cola, that do not have other discounts, for chain 1:
                value:
                  - offerId: 0b72aaa9-a868-46fe-b3d8-1f33356f6df3
                    name: coca_cola_10p_off
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: null
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 5
                    normalPricePerUnit: 10
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 5
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: '1'
                    storeIds: null
                    audienceIds: null
                    fundedBy: null
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: coca-cola;fanta
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              1EUR off of Pringles up to 5 units, stacking with other discounts, segmented:
                value:
                  - offerId: dc2785d5-3539-4a48-8f12-a85a9514a092
                    name: pringles_1eur_off
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: segmentedAppCoupon
                    unifiedCampaignId: ''
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 4
                    normalPricePerUnit: 12
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: true
                    itemsApplicationType: AllItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 5
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: 2213;12003
                    audienceIds: pringles-audience-id
                    fundedBy: Supplier
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: amount
                    rule1Value: 1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: pringles
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              Free twix:
                value:
                  - offerId: a59da6aa-e355-43a2-8d8f-db380c61d173
                    name: free_twix
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: game
                    unifiedCampaignId: ''
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 4
                    normalPricePerUnit: null
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: SimpleLine
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: 1;2
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: fixedPrice
                    rule1Value: 0
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: pringles
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
              5% off basket of 100EUR or more, up to 10EUR for 3 purchases:
                value:
                  - offerId: 37bd0301-706d-4cc5-9054-b9845da93783
                    name: 5p_basket
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: personalOffer
                    unifiedCampaignId: ''
                    title: 50% off Pepsi for you
                    description: Get your discount after purchasing at least 2 items
                    brand: PepsiCo
                    imageUrl: ''
                    discountLabel: 50% off every second item
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: true
                    unitOfMeasure: L
                    conditionLabel: Up to 6 items per receipt
                    receiptDisplayText: Pepsi discount
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 10
                    impactLevel: Total
                    discountType: SimpleLine
                    applyOnHighestPrice: true
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 3
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: 1;2
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.05
                    rule1ThresholdType: amount
                    rule1ThresholdValue: 10
                    rule1IncludedProducts: ''
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: tobacco;alcohol
              Step discount for Coca-Cola in specific stores:
                value:
                  - offerId: 0752729c-3e6b-4ecd-8509-624f9c3b2456
                    name: coca_cola_step
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: null
                    title: null
                    description: null
                    brand: null
                    imageUrl: null
                    discountLabel: null
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: null
                    unitOfMeasure: null
                    conditionLabel: null
                    receiptDisplayText: null
                    tags: null
                    normalPrice: 5
                    normalPricePerUnit: 10
                    currency: EUR
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 5
                    impactLevel: Line
                    discountType: QuantityStep
                    applyOnHighestPrice: false
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: null
                    storeIds: 1029;1030;2144
                    audienceIds: null
                    fundedBy: null
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.1
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: coca-cola;fanta
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: percentage
                    rule2Value: 0.2
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 3
                    rule2IncludedProducts: coca-cola;fanta
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
                    rule3Type: percentage
                    rule3Value: 0.3
                    rule3ThresholdType: quantity
                    rule3ThresholdValue: 6
                    rule3IncludedProducts: coca-cola;fanta
                    rule3ExcludedProducts: ''
                    rule3IncludedCategories: ''
                    rule3ExcludedCategories: ''
              Mix&Match Offer:
                value:
                  - offerId: 5cb63826-7474-4025-a3da-e90c04e152f1
                    name: mm_offer
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: ''
                    title: Save Big on Chips & Coca-Cola Combo
                    description: >-
                      Unlock exclusive savings when you combine your favorite
                      snacks and drinks! With this limited-time offer, buy any
                      pack of chips and get an automatic discount on Coca-Cola
                      multipacks. Perfect for parties or movie nights, this
                      combo delivers both taste and value in one easy deal.
                    brand: Crispy & Refreshing
                    imageUrl: https://example.com/assets/combo_chips_coke.jpg
                    discountLabel: Save up to 30%
                    normalPriceLabel: null
                    pricePerUnitLabelEnabled: false
                    unitOfMeasure: null
                    conditionLabel: Buy 1 Chips + 2 Coca-Cola
                    receiptDisplayText: 'Combo deal: Chips & Coca-Cola'
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Line
                    discountType: MixAndMatch
                    applyOnHighestPrice: null
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: percentage
                    rule1Value: 0.3
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: Chips
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: percentage
                    rule2Value: 0.2
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 2
                    rule2IncludedProducts: coca-Cola;fanta
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
              Mix&Match Total Offer:
                value:
                  - offerId: 46f823e6-3bc3-4b9f-afc9-385a4c11928c
                    name: mm_total_offer
                    validFrom: '2026-08-09T00:00:00Z'
                    validTo: '2026-08-15T00:00:00Z'
                    previewVisibleFrom: null
                    offerType: appCoupon
                    unifiedCampaignId: ''
                    title: Mix&Match Meal Deal for 4.99
                    description: >-
                      Enjoy a satisfying and balanced meal on the go! With this
                      combo offer, grab a sandwich, two refreshing drinks, and a
                      fresh salad—all for just 4.99. It’s the perfect pick for
                      lunch breaks, quick dinners, or fueling up during a busy
                      day. Great taste and great value, bundled for your
                      convenience.
                    brand: Fresh & Tasty
                    imageUrl: https://example.com/assets/meal_deal_499.jpg
                    discountLabel: 'Meal Deal: Only 4.99'
                    normalPriceLabel: 'Regular price: 7.99'
                    pricePerUnitLabelEnabled: true
                    unitOfMeasure: null
                    conditionLabel: 1 Sandwich, 2 Drinks, 1 Salad
                    receiptDisplayText: Mix&Match Meal Deal
                    tags: null
                    normalPrice: null
                    normalPricePerUnit: null
                    currency: null
                    priority: 5
                    allowOtherDiscountsOnTop: false
                    itemsApplicationType: NonDiscountedItems
                    maxDiscountAmount: 0
                    impactLevel: Total
                    discountType: MixAndMatchTotal
                    applyOnHighestPrice: null
                    maxNumberApplyPerReceipt: 1
                    redemptionLimit: 1
                    checkoutTypes: null
                    rewardRedeemableFrom: null
                    rewardRedeemableTo: null
                    rewardRedeemableForDays: null
                    totalCoupons: null
                    isDefault: false
                    chainIds: ''
                    storeIds: ''
                    audienceIds: null
                    fundedBy: Retailer
                    displayPriority: null
                    preactivated: null
                    ignoreOnPos: null
                    published: false
                    defaultValidForDays: null
                    rule1Type: amount
                    rule1Value: 0
                    rule1ThresholdType: quantity
                    rule1ThresholdValue: 1
                    rule1IncludedProducts: Sandwich;Fancy Sandwich
                    rule1ExcludedProducts: ''
                    rule1IncludedCategories: ''
                    rule1ExcludedCategories: ''
                    rule2Type: amount
                    rule2Value: 0
                    rule2ThresholdType: quantity
                    rule2ThresholdValue: 2
                    rule2IncludedProducts: Cola;Pepsi
                    rule2ExcludedProducts: ''
                    rule2IncludedCategories: ''
                    rule2ExcludedCategories: ''
                    rule3Type: amount
                    rule3Value: 0
                    rule3ThresholdType: quantity
                    rule3ThresholdValue: 1
                    rule3IncludedProducts: Salad
                    rule3ExcludedProducts: ''
                    rule3IncludedCategories: ''
                    rule3ExcludedCategories: ''
                    rule4Type: fixedPrice
                    rule4Value: 4.99
                    rule4ThresholdType: quantity
                    rule4ThresholdValue: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
        '207':
          description: Multi-Status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    BulkUpsertRequest:
      required:
        - offerId
      type: object
      properties:
        offerId:
          minLength: 1
          type: string
          description: ID of the offer.
        name:
          type: string
          description: Name of the offer visible in the admin tools.
          nullable: true
        validFrom:
          type: string
          description: |-
            Date when any coupons for this offer become
            available to pick up in store.
          format: date-time
          nullable: true
        validTo:
          type: string
          description: |-
            Date when all coupons for this offer stop being available
            to pick up in the store.
          format: date-time
          nullable: true
        previewVisibleFrom:
          type: string
          description: >-
            Date when Coupons will be returned in API and visible in the app.
            Cannot be cleared after being set.
          format: date-time
          nullable: true
        offerType:
          type: string
          description: >-
            Customer specific offer type. Determines how or by which service
            offer

            will be used. Types used so far: game, appCoupon, gift,
            preferredStore, memberOffer,

            stampCard, stickersCampaign, segmentedAppCoupon, personalOffer.

            If not specified and offer is new, default type will be used, but
            publish will fail.
          nullable: true
        unifiedCampaignId:
          maxLength: 64
          type: string
          description: ID of the unified campaign to which offer belongs.
          nullable: true
        title:
          maxLength: 255
          type: string
          description: >-
            Title of product visible in mobile app and in the coupon list. Can
            be cleared by passing empty string.
          nullable: true
        description:
          type: string
          description: >-
            Additional description of product visible in mobile app. Can be
            cleared by passing empty string.
          nullable: true
        brand:
          maxLength: 50
          type: string
          description: Brand of product. Can be cleared by passing empty string.
          nullable: true
        imageUrl:
          maxLength: 2000
          type: string
          description: >-
            Url to the image which be displayed in the promotion in the app. Can
            be cleared by passing empty string.
          nullable: true
        discountLabel:
          maxLength: 255
          type: string
          description: >-
            Discount label - for example Price For a Day or Monthly Price. Can
            be cleared by passing empty string.
          nullable: true
        normalPriceLabel:
          maxLength: 255
          type: string
          description: >-
            Normal price label - for example Non-member Price. Can be cleared by
            passing empty string.
          nullable: true
        pricePerUnitLabelEnabled:
          type: boolean
          description: >-
            Is the price per unit of the product(per kilo, per bottle, etc)
            visible in the mobile app
          nullable: true
        unitOfMeasure:
          maxLength: 255
          type: string
          description: >-
            Unit of measure for the product - EA, kg, etc... Can be cleared by
            passing empty string.
          nullable: true
        conditionLabel:
          maxLength: 64
          type: string
          description: Condition label used for override default condition label in the app
          nullable: true
        receiptDisplayText:
          maxLength: 100
          type: string
          description: Text that should be printed on receipt when the offer is applied
          nullable: true
        tags:
          type: string
          description: Additional tags - organic, vegan, best buy, etc...
          nullable: true
        normalPrice:
          maximum: 100000000
          minimum: 0
          type: number
          description: >-
            Price of the purchased amount before discount is applied. Required
            when

            importing offer for the first time. When not provided, last stored
            value is used.
          format: double
          nullable: true
        normalPricePerUnit:
          maximum: 100000000
          minimum: 0
          type: number
          description: >-
            Price per unit (per kile, for example) before discount is applied.
            Required when

            importing offer for the first time. When not provided, last stored
            value is used.
          format: double
          nullable: true
        currency:
          maxLength: 3
          type: string
          description: >-
            ISO-4217 currency code - 3 characters, for example, DKK, ISK, EUR
            etc. Required when

            importing offer for the first time. When not provided, last stored
            value is used
          nullable: true
        priority:
          type: integer
          description: >-
            The discount priority. The lower the priority value, the more
            priority the discount has
          format: int32
          nullable: true
        allowOtherDiscountsOnTop:
          type: boolean
          description: >-
            Indicates whether the current discount allows the application of
            other discounts over it
          nullable: true
        itemsApplicationType:
          $ref: '#/components/schemas/ItemsApplicationType'
        maxDiscountAmount:
          type: number
          description: The maximum discount amount that can be applied to the basket.
          format: double
          nullable: true
        impactLevel:
          $ref: '#/components/schemas/ImpactLevelType'
        discountType:
          $ref: '#/components/schemas/DiscountType'
        applyOnHighestPrice:
          type: boolean
          description: >-
            Defines sorting of products to apply discount on highest or lowest
            price product
          nullable: true
        maxNumberApplyPerReceipt:
          type: number
          description: >-
            Specifies the maximum amount of items for which the discount applies
            in scope of single receipt
          format: double
          nullable: true
        redemptionLimit:
          type: integer
          description: >-
            Specifies how many times coupon can be redeemed in store. Each
            redemption is

            a separate purchase. Amount of time a coupon can be used in one
            purchase is controlled

            by Discount model. When not specified, defaults to last stored value
            on update, or 1 on create.

            Use 0 to indicate that coupon can be redeemed unlimited amount of
            times.

            If value is not equal to 1, we recommend providing Idempotency key
            during redemption, or weird behavior might happen.
          format: int32
          nullable: true
        checkoutTypes:
          type: string
          description: >-
            List of CheckoutTypes, separated by "ArraySplitter" where offer is
            applicable.

            ArraySplitter is a character by which symbol array should be split.
            ArraySplitter can be changed in settings
          nullable: true
        rewardRedeemableFrom:
          type: string
          description: >-
            The date and time when the granted benefit becomes available for
            use.

            Can be used only for Bonus benefits.
          format: date-time
          nullable: true
        rewardRedeemableTo:
          type: string
          description: >-
            The exact date and time when the granted benefit expires if not
            used.

            Can be used only for Bonus benefits.

            This property is mutually exclusive with
            Promotion.Client.ApiModels.V3.Requests.BulkUpsertRequest.RewardRedeemableForDays.
          format: date-time
          nullable: true
        rewardRedeemableForDays:
          type: integer
          description: >-
            The number of days after which the benefit expires if not used,
            counted from the moment the benefit is granted.

            This property is mutually exclusive with
            Promotion.Client.ApiModels.V3.Requests.BulkUpsertRequest.RewardRedeemableTo.

            Can be used only for Bonus benefits.
          format: int32
          nullable: true
        totalCoupons:
          type: integer
          description: >-
            Total amount of possible coupons in the offer. When it is null,
            unlimited

            amount of coupons can be assigned.
          format: int32
          nullable: true
        isDefault:
          type: boolean
          description: >-
            Can be true only for personal offers ("personalOffer",
            "relevantOffer"). When true, this offer

            will be returned for a user that has no coupons assigned in personal
            offers.
          nullable: true
        chainIds:
          type: string
          description: >-
            Collection of Chain Ids, separated by "ArraySplitter" where offer is
            available. Mutually exclusive with StoreIds.

            ArraySplitter is a character by which symbol array should be split.
            ArraySplitter can be changed in settings
          nullable: true
        storeIds:
          type: string
          description: >-
            List of Store Ids, separated by "ArraySplitter" where offer is
            available. Mutually exclusive with ChainIds.

            ArraySplitter is a character by which symbol array should be split.
            ArraySplitter can be changed in settings
          nullable: true
        audienceIds:
          type: string
          description: >-
            List of Audience Ids, separated by "ArraySplitter", customers from
            which have access to the offer.
          nullable: true
        fundedBy:
          maxLength: 100
          type: string
          description: >-
            Specifies who this offer is funded by. Retailers can use any values
            they need, or keep it empty
          nullable: true
        displayPriority:
          type: integer
          description: >-
            Controlls the order in which coupons are returned to the mobile app.
            Lower number means higher priority
          format: int32
          nullable: true
        preactivated:
          type: boolean
          description: >-
            Specifies if coupons for this offer require activation, or are
            working on POS without activation
          nullable: true
        ignoreOnPos:
          type: boolean
          description: Specifies if coupons should be visible and processed by POS.
          nullable: true
        published:
          type: boolean
          description: Specifies whether offer should be published
          nullable: true
        defaultValidForDays:
          type: integer
          description: >-
            Default number of days a Triggered coupon is valid for, when no
            explicit value is specified during assignment
          format: int32
          nullable: true
      additionalProperties: false
    ImportResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WebServiceError'
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        name:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        details:
          nullable: true
      additionalProperties: false
    ItemsApplicationType:
      enum:
        - AllItems
        - NonDiscountedItems
        - DiscountedItems
      type: string
      description: The discounted items type
    ImpactLevelType:
      enum:
        - Line
        - Total
      type: string
      description: Specifies what the discount impacts - specific line or the basket total
    DiscountType:
      enum:
        - Unknown
        - SimpleLine
        - SimpleQuantity
        - SimpleTotal
        - MixAndMatch
        - MixAndMatchTotal
        - QuantityStep
        - RewardTotal
        - TotalStep
      type: string
      description: The type of discount calculation rule to apply
    WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Opaque Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````